    LIST	p=16F18877
    #INCLUDE<P16F18877.INC>
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF
KEY		EQU	    0X20		
    ORG	    00H			
START:		CLRF	    KEY		 ;設KEY初值為0
    MOVLB     .17
    MOVLW     0X70
    MOVWF     OSCCON1
    MOVLW	    0X04
    MOVWF	    OSCFRQ
    MOVLB	    .62
    CLRF	    ANSELC
    CLRF	    ANSELE
    MOVLB	    .0		;切換到BANK0
    CLRF TRISB
    BSF	    LATB,1
    MOVLW	    B'11111000'	;設定PORTE<0-2>為輸出接腳
    MOVWF	    TRISE
    MOVLW	    B'11110000'
    MOVWF	    TRISC
    CLRF	    TRISD	;設定LATD為輸出接腳
    CLRF	    LATD	;LATD輸出0
    MOVLW	    B'11111110'
    MOVWF	    PORTE
    BTFSS	    PORTC,4	; key 1 ?
    GOTO	    CONVERT
    INCF	    KEY,F
    BTFSS	    PORTC,5	; key 4 ?
    GOTO	    CONVERT
    INCF	    KEY,F
    BTFSS	    PORTC,6	; key 7 ?
    GOTO	    CONVERT
    INCF	    KEY,F
    MOVLW	    B'11111101'
    MOVWF	    PORTE
    BTFSS	    PORTC,4	; key 2 ?
    GOTO	    CONVERT
    INCF	    KEY,F
    BTFSS	    PORTC,5	; key 5 ?
    GOTO	    CONVERT
    INCF	    KEY,F
    BTFSS	    PORTC,6	; key 8 ?
    GOTO	    CONVERT
    INCF	    KEY,F
    BTFSS	    PORTC,7	; key 0?
    GOTO	    CONVERT
    INCF	    KEY,F
    MOVLW	    B'11111011'
    MOVWF	    PORTE
    BTFSS	    PORTC,4	; key 3 ?
    GOTO	    CONVERT
    INCF	    KEY,F
    BTFSS	    PORTC,5	; key 6 ? 
    GOTO	    CONVERT
    INCF	    KEY,F
    BTFSS	    PORTC,6	; key 9 ?
    GOTO	    CONVERT
    CLRF	    LATD
    GOTO	    START
CONVERT:	MOVF	    KEY,W	;查表
    CALL	    TABLE
    MOVWF	    LATD
    GOTO	    START
TABLE:	
    ADDWF	    PCL,F
    RETLW	    B'00000110'	;1	
    RETLW	    B'01100110'	;4
    RETLW	    B'00000111'	;7
    RETLW	    B'01011011'	;2
    RETLW	    B'01101101'	;5
    RETLW	    B'01111111'	;8
    RETLW	    B'00111111'	;0
    RETLW	    B'01001111'	;3
    RETLW	    B'01111101'	;6
    RETLW	    B'01101111'	;9
    END
