﻿#include "p16f18877.inc"
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF

 
RES_VECT    CODE    0x0000
    GOTO	START
INT_VECTOR  CODE    0x0004
    GOTO	INTSUB

START:
    MOVLB     .17
    MOVLW     0X70
    MOVWF     OSCCON1
    MOVLW	0X04
    MOVWF	OSCFRQ
    MOVLB	.11
    BSF		INTCON,GIE
    BSF		INTCON,PEIE
    MOVLB	.0
    MOVLW	0x4C	;設定Timer0預除比為1:4096
    MOVWF	T0CON1
    MOVLW	0xDB	;Timer0計數初值
    MOVWF	TMR0H
    MOVLW	0x00
    MOVWF	TMR0L
    MOVLW	0x80
    MOVWF	T0CON0
    MOVLB	.0
    CLRF	TRISD		;設定PORTD為輸出接腳
    MOVLW	B'11111111'	;LED全亮
    MOVWF	LATD	
    MOVLB	.14
    BCF		PIR0,TMR0IF	;清除Timer0中斷旗標位元
    BSF		PIE0,TMR0IE	;致能Timer0中斷
WAIT:		NOP			;等待Timer0中斷
    GOTO	WAIT
INTSUB:		
    MOVLB	.14
    BCF		PIR0,TMR0IF	;清除Timer0中斷旗標位元
    MOVLB	.0
    COMF	LATD,F		;是,PORTD的內容取補數
    RETFIE			
    END