LIST	p=16F18877
 	#INCLUDE<p16F18877.INC>
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF
D1	EQU	    0X20
D2	EQU	    0X21
D3	EQU	    0X22
	ORG	    00H	
	CLRF	    D1		;設定D1初值為0		
	MOVLB     .17
	MOVLW     0X70
	MOVWF     OSCCON1
	MOVLW	    0X04
	MOVWF	    OSCFRQ
	MOVLB	    .0		;切換到BANK0
	CLRF	    TRISA	;設定LATA為輸出接腳
	MOVLB	    .18
	MOVLW     0XA0
	MOVWF     DAC1CON0 
	CLRF	     DAC1CON1 
START:	
	MOVLB	    .18
	INCF	    DAC1CON1
	CALL	    DELAY
	MOVLB	    .18
	MOVLW	    .30
	SUBWF	    DAC1CON1,W
	BTFSS	    STATUS,Z	
	GOTO	    START
	CLRF	    DAC1CON1
	GOTO	    START
DELAY:	
	MOVLB	    .0
	MOVLW	    .8		;延遲副程式
	MOVWF	    D3
DLY1:	MOVLW	    .244
	MOVWF	    D2
DLY2:	DECFSZ	    D1,F
	GOTO	    DLY2
	DECFSZ	    D2,F
	GOTO	    DLY2
	DECFSZ	    D3,F
	GOTO	    DLY1
	RETURN
	END
