/*
 * File:   newmain.c
 * Author: user
 *
 * Created on 2018年10月31日, 下午 7:29
 */


#include <xc.h>

#pragma config FEXTOSC = HS     // External Oscillator mode selection bits (HS (crystal oscillator) above 4MHz; PFM set to high power)
#pragma config RSTOSC = EXT1X    // Power-up default value for COSC bits->EXTOSC operating per FEXTOSC bits
#pragma config BOREN = ON       // Brown-out reset enable bits (Brown-out Reset Enabled, SBOREN bit is ignored)
#pragma config WDTE = OFF       // WDT operating mode (WDT Disabled, SWDTEN is ignored)
#pragma config CP = OFF         // UserNVM Program memory code protection bit (Program Memory code protection disabled)
#pragma config CPD = OFF        // DataNVM code protection bit (Data EEPROM code protection disabled)

unsigned int i;

void main(void) 
{
    OSCCON1 = 0x70;
    OSCFRQ = 0x04;
    TRISD = 0X00;
    TRISB = 0X00;
    LATB = 0X02;
    ANSELC = 0X00;
    ANSELE = 0X00;
    TRISC = 0XF0;
    TRISE = 0XF8;
       
    while (1)
    {
        LATE=0XFE;
        if (RC4 == 0) 
        {
            LATD = 0X06;//1
        }
        if (RC5 == 0) 
        {
            LATD = 0X66;//4
        }
        if (RC6 == 0) 
        {
            LATD = 0X07;//7
        }
        LATE=0XFD;
        if (RC4 == 0) 
        {
            LATD = 0X5B;   //2
        }
        if (RC5 == 0) 
        {
            LATD = 0X6D;    //5
        }
        if (RC6 == 0) 
        {
            LATD = 0X7F;    //8
        }
        if (RC7 == 0) 
        {
            LATD = 0X3F;    //0
        }
        LATE=0XFB;
        if (RC4 == 0) 
        {
            LATD = 0X4F;    //3
        }
        if (RC5 == 0) 
        {
            LATD = 0X7D;    //6
        }
        if (RC6 == 0) 
        {
            LATD = 0X6F;    //9
        }
        
    }
    
        
    return;
}
