/*
 * File:   7-2-1-rising.c
 * Author: user
 *
 * Created on November 6, 2018, 7:12 PM
 */


#include <xc.h>

#pragma config FEXTOSC = HS     // External Oscillator mode selection bits (HS (crystal oscillator) above 4MHz; PFM set to high power)
#pragma config RSTOSC = EXT1X    // Power-up default value for COSC bits->EXTOSC operating per FEXTOSC bits
#pragma config BOREN = ON       // Brown-out reset enable bits (Brown-out Reset Enabled, SBOREN bit is ignored)
#pragma config WDTE = OFF       // WDT operating mode (WDT Disabled, SWDTEN is ignored)
#pragma config CP = OFF         // UserNVM Program memory code protection bit (Program Memory code protection disabled)
#pragma config CPD = OFF        // DataNVM code protection bit (Data EEPROM code protection disabled)

unsigned int a=0;

void interrupt rR(void)
{
    if(INTF==1)
    {
        INTF=0;
        for(a=0;a<65535;a++);
        LATD = 0X00;
        for(a=0;a<65535;a++);
        LATD = 0XFF;
        for(a=0;a<65535;a++);
        LATD = 0X00;
        for(a=0;a<65535;a++);
        LATD = 0XFF;
        for(a=0;a<65535;a++);
        LATD = 0X00;
        for(a=0;a<65535;a++);
        LATD = 0XFF;
        
    }
}
void main(void)
{
    OSCCON1 = 0x70;
    OSCFRQ = 0x04;
    INTPPS = 0X08;
    TRISB = 0XFF;
    ANSELB = 0X00;
    TRISD = 0X00;
    LATD = 0X00;
    INTCON = 0XC1;
    PIE0 = 0X01;
    PIR0 = 0X00;
    while(1)
    {
        LATD = 0XFF;
    }
    return;
}
