	LIST	p=16F18877
 	#INCLUDE<p16F18877.INC>
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF
D1	EQU	    0X20
D2	EQU	    0X21
D3	EQU	    0X22
	ORG	    00H
	CLRF	    D1		;設定D1初值為0		
	MOVLB     .17
	MOVLW     0X70
	MOVWF     OSCCON1
	MOVLW	    0X04
	MOVWF	    OSCFRQ
	MOVLB	    .0		;切換到BANK0
	CLRF	    TRISD	;設定LATD為輸出接腳
	BCF	    TRISB,1	;設定LATB<1>為輸出接腳
	BSF	    LATB,1	;Q1導通
START:	MOVLW	    B'00111111'	;七段顯示器顯示0
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'00000110'	;七段顯示器顯示1
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'01011011'	;七段顯示器顯示2
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'01001111'	;七段顯示器顯示3
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'01100110'	;七段顯示器顯示4
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'01101101'	;七段顯示器顯示5
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'01111101'	;七段顯示器顯示6
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'00000111'	;七段顯示器顯示7
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'01111111'	;七段顯示器顯示8
	MOVWF	    LATD
	CALL	    DELAY
	MOVLW	    B'01101111'	;七段顯示器顯示9	
	MOVWF	    LATD
	CALL	    DELAY
	GOTO	    START

DELAY:	MOVLW	    .8		;延遲副程式
	MOVWF	    D3
DLY1:	MOVLW	    .244
	MOVWF	    D2
DLY2:	DECFSZ	    D1,F
	GOTO	    DLY2
	DECFSZ	    D2,F
	GOTO	    DLY2
	DECFSZ	    D3,F
	GOTO	    DLY1
	RETURN
	END

