	LIST	p=16F18877
 	#INCLUDE<p16F18877.INC>
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF
D1	EQU	    0X20	
D2	EQU	    0X21
D3	EQU	    0X22
ONEIDX	EQU	    0X23	;個位查表指標
	ORG	    00H
	CLRF	    D1		;設D1初值為0
	CLRF	    ONEIDX	;設ONEIDX初值為0
	 MOVLB     .17
	MOVLW     0X70
	MOVWF     OSCCON1
	MOVLW	    0X04
	MOVWF	    OSCFRQ
	MOVLB	    .0		;切換到BANK0
	BCF	    TRISB,1	;設定LATB<1>為輸出接腳
	CLRF	    TRISD	;設定LATD為輸出接腳
	BSF	   LATB,1	;Q1電晶體導通
START:	MOVF	    ONEIDX,W	;查表	
	CALL	    TABLE		
	MOVWF	    LATD		
	CALL	    DELAY
	INCF	    ONEIDX,F	;查表指標加1	
	MOVLW	    .10		;查表指標是否指到最後一筆	
	SUBWF	    ONEIDX,W
	BTFSS	    STATUS,Z	
	GOTO	    START	;否,跳到START執行
	CLRF	    ONEIDX	;是,查表指標歸零
	GOTO	    START		

DELAY:	MOVLW	    .8		;延遲副程式
	MOVWF	    D3
DLY1:	MOVLW	    .244
	MOVWF	    D2
DLY2:	DECFSZ	    D1,F
	GOTO	    DLY2
	DECFSZ	    D2,F
	GOTO	    DLY2
	DECFSZ	    D3,F
	GOTO	    DLY1
	RETURN
TABLE:
	ADDWF	    PCL,F
	RETLW	    B'00111111'	;0
	RETLW	    B'00000110'	;1
	RETLW	    B'01011011'	;2
	RETLW	    B'01001111'	;3
	RETLW	    B'01100110'	;4
	RETLW	    B'01101101'	;5
	RETLW	    B'01111101'	;6
	RETLW	    B'00000111'	;7
	RETLW	    B'01111111'	;8
	RETLW	    B'01101111'	;9	
	END
