﻿		LIST	p=16F18877
 		#INCLUDE<p16F18877.INC>
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF
D1		EQU	    0X20
D2		EQU	    0X21
D3		EQU	    0X22					
W_TEMP		EQU	    0X23
STATUS_TEMP	EQU	    0X24
PORTD_TEMP	EQU	    0X25
		ORG	    00H	
		GOTO	    START
		ORG	    04H
		GOTO	    INTSUB	
START:		CLRF	    D1
		MOVLB	    .17
		MOVLW	    0X70
		MOVWF	    OSCCON1
		MOVLW	    0X04
		MOVWF	    OSCFRQ
		MOVLB	    .0
		CLRF	    TRISD			
		MOVLW	    B'11111111'	;燈全亮
		MOVWF	    LATD
	    	MOVLB	    .61		
		MOVLW	    0X08		
		MOVWF	    INTPPS		
		MOVLB	    .62
		BCF	    ANSELB, 0	
		BSF	    INTCON, INTEDG
		MOVLB	    .14
		BCF	    PIR0,INTF
		BSF	    PIE0, INTE
		MOVLB	    .0
		CLRF	    TRISD			
		BSF	    INTCON, GIE
WAIT:		NOP	
		MOVLW	    B'11111111'	;燈全亮
		MOVWF	    LATD
		GOTO	    WAIT		
INTSUB:		MOVWF	    W_TEMP		
		SWAPF	    STATUS,W		
		MOVWF	    STATUS_TEMP
		SWAPF	    LATD,W			
		MOVWF	    LATD_TEMP	
		CALL	    STAR			
		CALL	    STAR
		CALL	    STAR
		SWAPF	    STATUS_TEMP,W	
		MOVWF	    STATUS
		SWAPF	    LATD_TEMP,W	
		MOVWF	    LATD
		SWAPF	    W_TEMP,F		
		SWAPF	    W_TEMP,W
		MOVLB	    .14
		BCF	    PIR0, INTF	
		RETFIE
STAR:		MOVLW	    B'11111111'	
		MOVWF	    LATD
		CALL	    DELAY	
		CLRF	    LATD		
		CALL	    DELAY	
		RETURN
DELAY:		MOVLW	    .4		
		MOVWF	    D3
DLY1:		MOVLW	    .244
		MOVWF	    D2
DLY2:		DECFSZ	    D1,F
		GOTO	    DLY2
		DECFSZ	    D2,F
		GOTO	    DLY2
		DECFSZ	    D3,F
		GOTO	    DLY1
		RETURN	
		END