﻿#include "p16f18877.inc"
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF
    
COUNT		EQU	0X20		;初值10,每中斷1次即減1,減到0即為217600us
 
RES_VECT    CODE    0x0000
    GOTO	START
INT_VECTOR  CODE    0x0004
    GOTO	INTSUB

START:
    MOVLB     .17
    MOVLW     0X70
    MOVWF     OSCCON1
    MOVLW	0X04
    MOVWF	OSCFRQ
    MOVLB	.11
    BSF		INTCON,GIE
    BSF		INTCON,PEIE
    MOVLB	.5
    MOVLW	0xCF	;Timer2 ON且設定Timer2預除比跟後除比都為1:16
    MOVWF	T2CON 
    MOVLW	0x01
    MOVWF	T2CLKCON  
    MOVLW	0xFE	;Timer2計數初值
    MOVWF	T2PR 
    MOVLW	0x00
    MOVWF	T2TMR 
    MOVLB	.0
    CLRF	TRISD		;設定PORTD為輸出接腳
    MOVLW	B'11111111'	;LED全亮
    MOVWF	LATD	
    MOVLB	.14
    BCF		PIR4,TMR2IF	;清除Timer2中斷旗標位元
    BSF		PIE4,TMR2IE	;致能Timer2中斷
WAIT:		NOP			;等待Timer2中斷
    GOTO	WAIT
INTSUB:		
    MOVLB	.0
    DECFSZ	COUNT,F		;Timer2是否中斷10次
    GOTO	ISR_END		;否,跳到ISR_END執行
    COMF	LATD,F		;是,PORTD的內容取補數
    MOVLW	.10		;重設Timer2中斷10次
    MOVWF	COUNT
ISR_END:
    MOVLB	.14
    BCF		PIR4,TMR2IF	;清除Timer2中斷旗標位元
    MOVLB	.5
    MOVLW	0xFE	;Timer2計數初值
    MOVWF	T2PR 
    MOVLW	0x00
    MOVWF	T2TMR 
    RETFIE			
    END