﻿#include "p16f18877.inc"
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF
    
D1		EQU	0X20
		
RES_VECT    CODE    0x0000
    GOTO	START

START:
    MOVLB     .17
    MOVLW     0X70
    MOVWF     OSCCON1
    MOVLW	0X04
    MOVWF	OSCFRQ
    MOVLB     .1
    MOVLW	0x3F
    MOVWF	ADCLK 
    MOVLW	0x80
    MOVWF	ADCON0  ;設定AD轉換值的格式為向左靠,轉換的時脈為FRC 
    MOVLB	.0
    CLRF	TRISD		;設定PORTD為輸出接腳
    MOVLB     .14
    BCF		PIR1,ADIF	;清除ADC中斷旗標位元
ADCONVERT:
    CALL	DELAY
    MOVLB	.1
    BSF		ADCON0,ADON
    BCF		ADCON0,ADCONT
    BSF		ADCON0,ADGO
ADWAIT:
    NOP
    MOVLB     .14
    BTFSS	PIR1,ADIF
    GOTO	ADWAIT
    BCF		PIR1,ADIF	;清除ADC中斷旗標位元
    MOVLB     .1
    MOVF	ADRESH,W	;把ADRESH的內容放入W暫存器
    MOVLB     .0
    MOVWF	LATD		;把W暫存器的內容顯示於LED上
    GOTO	ADCONVERT    
DELAY:	        
    MOVLB	.0
    MOVLW	.24		;延遲副程式
    MOVWF	D1			
DLY1:	
    DECFSZ	D1,F
    GOTO	DLY1
    RETURN
    END