#include "p16f18877.inc"
__CONFIG _CONFIG1, _FEXTOSC_HS & _RSTOSC_EXT1X
__CONFIG _CONFIG2, _BOREN_ON & _PPS1WAY_OFF
__CONFIG _CONFIG3, _WDTE_OFF 
__CONFIG _CONFIG5, _CP_OFF & _CPD_OFF

RES_VECT    CODE    0x0000
    GOTO	START
INT_VECTOR  CODE    0x0004
    GOTO	INTSUB
    
START:
    MOVLB     .17
    MOVLW	0X70
    MOVWF	OSCCON1
    MOVLW	0X04
    MOVWF	OSCFRQ
    
    MOVLB	.0
    CLRF	TRISD
    BSF		TRISA,1
    BCF		TRISC,2
    MOVLB	.62
    BCF		ANSELA,1
    
    BSF		INTCON,GIE
    BSF		INTCON,PEIE
    
    MOVLB	.4
    MOVLW	0x01
    MOVWF	T1CON 
    MOVLB     .61
    MOVLW	0x01
    MOVWF	T1CKIPPS  
    
    MOVLB     .6
    MOVLW	0x81
    MOVWF	CCP5CON  
    MOVLW	0x64
    MOVWF	CCPR5L   
    MOVLW	0x00
    MOVWF	CCPR5H 
    MOVLB     .4
    MOVLW	0x01
    MOVWF	CCPTMRS1
    MOVLB     .14
    BCF		PIR6,4
    BSF		PIE6,4
    
    MOVLB     .5
    MOVLW	0x01
    MOVWF   T2CLKCON
    MOVLW	0xFF
    MOVWF   T2PR
    MOVLW	0x80
    MOVWF   T2CON
    
    MOVLB     .6
    MOVLW	0x8F
    MOVWF   CCP1CON

    MOVLB     .4
    BSF		CCPTMRS0,0
    MOVLB     .62
    MOVLW	0x09
    MOVWF	RC2PPS
    
    MOVLB     .1
    MOVLW	0x3F
    MOVWF	ADCLK
    MOVLW	0x80
    MOVWF    ADCON0
    
WAIT:		
    MOVLB     .1
    BSF		ADCON0,0
ADCWAIT:
    BTFSC	ADCON0,0
    GOTO	ADCWAIT
    MOVFW	ADRESH
    MOVLB     .6
    MOVWF	CCPR1H
    GOTO	WAIT
INTSUB:		
    MOVLB	.14
    BCF		PIR6,4		;清除CCP中斷旗標位元
    MOVLB	.0
    COMF	LATD,F		;是,PORTD的內容取補數
    RETFIE			
    END