/*
 * File:   6-1-1.c
 * Author: user
 *
 * Created on October 25, 2018, 1:54 PM
 */


#include <xc.h>

#pragma config FEXTOSC = HS     // External Oscillator mode selection bits (HS (crystal oscillator) above 4MHz; PFM set to high power)
#pragma config RSTOSC = EXT1X    // Power-up default value for COSC bits->EXTOSC operating per FEXTOSC bits
#pragma config BOREN = ON       // Brown-out reset enable bits (Brown-out Reset Enabled, SBOREN bit is ignored)
#pragma config WDTE = OFF       // WDT operating mode (WDT Disabled, SWDTEN is ignored)
#pragma config CP = OFF         // UserNVM Program memory code protection bit (Program Memory code protection disabled)
#pragma config CPD = OFF        // DataNVM code protection bit (Data EEPROM code protection disabled)

void main(void) {
    OSCCON1 = 0x70;
    OSCFRQ = 0x04;
    TRISD = 0X00;
    TRISE = 0X01;
    ANSELE = 0X00;
     
    while(1)
    {
     if (RE0==1)
     LATD = 0XF0;
     else
     LATD = 0X0F;
    }
    return;
}

